#!/usr/bin/perl

use ExtUtils::MakeMaker;
use warnings;

my $installdir = "/usr/local/serverop/watchers/";

print <<EOF;

Thank you for your choice of ServerOp-Watchers. Please take a moment
and read the enclosed software license (LICENSE.pod) as well as the 
documentation in docs/ . 

Where would you like ServerOp-Watchers installed?
Type in a new path or press enter to accept the default.
EOF
print "full path [$installdir]: ";
my $input = <STDIN>;
print "\n\n";
chomp $input;
$installdir = $input if $input;

WriteMakefile(
    NAME		    => 'ServerOp::Watchers',
    VERSION_FROM	=> 'lib/TCG/Watchers/VERSION.pm', 
    AUTHOR          => 'Matt Cashner (matt@cre8tivegroup.com)',
    ABSTRACT        => 'Server monitoring and alert system',
    dist         => { COMPRESS     =>'gzip',
                      SUFFIX       =>'gz',
                      DIST_DEFAULT => 'predist',
                    },
        
    PREREQ_PM	    => { 'Test::More' => '0.06',
                         'Test::Harness' => '1.22',
                         'Mail::Sendmail' => '0',
                         'Filter::Util::Call' => '0',
                       },

    EXE_FILES => [ 'watcherd','watchers.conf','clients/html_print.pl', 'clients/status.cgi','clients/status.pl'],
    PREFIX => $installdir, 
    INSTALLSITELIB => "$installdir/lib",
    INSTALLSITEARCH => "$installdir/lib",
    PM_FILTER => 'perl -p -e \\"s|<< installdir >>|'.$installdir.'|sg\\"',
);

sub MY::postamble {
    package MY;
    "\npredist: all\n" .
    "\t\$(MAKE) manifest\n" .
    "\t\$(MAKE) tardist\n"
}


