#!/usr/bin/perl

use Test::More tests => 10;
use warnings;
use strict;
$SIG{__WARN__} = sub { die shift; };
BEGIN { use_ok('TCG::Watchers::Actions'); }

my $obj = TCG::Watchers::Actions->new();
ok(defined($obj), 'new() returns an object.');
ok(ref $obj eq 'TCG::Watchers::Actions', 'new() returns a VALID object.');
ok($obj->code('email'),'object contains the code for the default email action.');
ok($obj->subref('email'),'object contains a subref for the default email action.');

eval { $obj->create( NAME => 'test', CODE => 'return 5;' ); };
ok(!$@, 'create() runs with valid code');
ok($obj->code('test'),'create() stores action code correctly.');
ok($obj->subref('test'),'create() generates subref for action code properly.');

my $sub = $obj->subref('test');
ok(&$sub() == 5, 'create() - subref for custom action executes properly.');

eval { $obj->create( NAME => 'test2',CODE => 'i am not perl'); };
ok($@, 'create() fails when given bad code.');
